Subject: Re: [PATCH] Fix routing tables with id > 255 for legacy software

From: Jarek Poplawski <[email-masked]>
Date: Tue, 3 Jun 2008 08:08:12 +0000

On 03-06-2008 00:09, Krzysztof Oledzki wrote:
> From 4cb8c341fc444afc638cf9ce4efb7e4248e88b5e Mon Sep 17 00:00:00 2001
> From: Krzysztof Piotr Oledzki <[email-masked]>
> Date: Tue, 3 Jun 2008 00:03:41 +0200
> Subject: [NET] Fix routing tables with id > 255 for legacy software
> 
> Most legacy software do not like tables > 255 as rtm_table is u8
> so tb_id is sent &0xff and it is possible to mismatch for example
> table 510 with table 254 (main).
> 
> This patch introduces RT_TABLE_COMPAT=253 so the code uses it if
> tb_id > 255. It makes such old applications happy, new
> ones are still able to use RTA_TABLE to get a proper table id.
> 

Probably, as usual, some people will grumble this breaks their scripts,
so, probably, some if or ifdef is needed? BTW, I wonder, how these old
appliction would treat RT_TABLE_UNSPEC instead.

Regards,
Jarek P.